using CommunityToolkit.Mvvm.ComponentModel;
using SQLite;

namespace GreadyPoang.EntityLayer;


[Table("GameRound")]

public partial class GameRound : ObservableObject
{
    public GameRound()
    {
        GameRoundId = 0;
        GameRoundStartDate = DateTime.Now;
        GameStatus = GamePointStatus.New;
        GameRoundFinished = null;
    }

    [ObservableProperty]
    [property: PrimaryKey, AutoIncrement, Column("GameRoundId")]
    private int gameRoundId;

    [ObservableProperty]
    [property: Column("GameRoundStartDate")]
    private DateTime gameRoundStartDate;

    [ObservableProperty]
    [property: Column("GameStatus")]
    private GamePointStatus gameStatus;

    [ObservableProperty]
    [property: Column("GameRoundFinished")]
    private DateTime? gameRoundFinished;

    public string GameRoundStartDateString
    {
        get { return GameRoundStartDate.ToString("yyyy-MM-dd"); }
    }
}
